cmShell for SAP version 1.10 is available

Intro

Now it is possible to load the CmCmdlets with Import-Module when you use PowerShell 3 or above. Add-PSSnapin is still supported.

Notice:
If you load the CmCmdlets with Import-Module, you will get a warning message (cmdlet names include unapproved verbs). You can ignore this message.

We have changed the names of some comandlets. Please use the new names of the comandlets in your scripts.

Obsolete name New name
List-CmSapJobServerGroup Get-CmSapJobServerGroup
Cancel-CmSapJob Stop-CmSapJob
List-CmSapJobsWithStatus Get-CmSapJobsWithStatus
Release-CmSapTMSRequest Set-CmSapTMSRequestRelease
Release-CmSAPTMSOrder Set-CmSapTMSOrderRelease
List-CmOsInstalledUpdates Get-CmOsInstalledUpdates
List-CmSapInstance Get-CmSapInstances
TypeOf-CmSapInstance Get-CmSapInstanceType

Solution

Download and install the cmShell for SAP Setup from Downloads.

If you have already installed an older version of cmShell for SAP, you have to do some actions before you can install the new version:

  • Unregister the cmdlets by using installutil: [Path to installutil.exe] –u [Path to CmCmdlets.dll]
  • Uninstall cmShell for SAP
  • Download and install the new version of cmShell for SAP